Bug 614557 (CVE-2010-2527) - CVE-2010-2527 Freetype demos multiple buffer overflows
Summary: CVE-2010-2527 Freetype demos multiple buffer overflows
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-2527
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 613298 613299 614010 614011 614012 614013 614014 806290
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-14 18:39 UTC by Josh Bressers
Modified: 2019-09-29 12:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:44:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0577 normal SHIPPED_LIVE Important: freetype security update 2010-07-30 15:42:52 UTC
Red Hat Product Errata RHSA-2010:0578 normal SHIPPED_LIVE Important: freetype security update 2010-07-30 16:09:53 UTC

Description Josh Bressers 2010-07-14 18:39:58 UTC
Robert Swiecki reported multiple buffer overflows in the freetype demo
applications.  The demo application could crash or, possibly, lead to the
execution of arbitrary code if an attacker were able to get a victim to
load a malicious font file.

This is CVE-2010-2527
http://savannah.nongnu.org/bugs/index.php?30054

The fix is here:
http://git.savannah.gnu.org/cgit/freetype/freetype2-demos.git/commit/?id=b995299b73ba4cd259f221f500d4e63095508bec

Acknowledgements:

Red Hat would like to thank Robert Święcki of the Google Security Team for the
discovery of these issues.

Comment 2 Josh Bressers 2010-07-14 18:44:04 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 3 Vincent Danen 2010-07-15 20:43:24 UTC
Upstream has released 2.4.0 to correct this issue:

http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html

Comment 9 errata-xmlrpc 2010-07-30 15:43:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0577 https://rhn.redhat.com/errata/RHSA-2010-0577.html

Comment 10 errata-xmlrpc 2010-07-30 16:10:21 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0578 https://rhn.redhat.com/errata/RHSA-2010-0578.html


Note You need to log in before you can comment on or make changes to this bug.